#!/bin/python 

import load_modules

import sys

import numpy         as np
import h5

import diablo

fname=list()
fname.append(sys.argv[1])
fname.append(sys.argv[2])

flow=list()
for iname in fname:
    flow.append(diablo.flow(iname))
    
for ith in flow[0].Fields:
    U=list()
    for iflow in flow:
        U.append(h5.h5read(iflow.filename,'/Timestep/'+ith))
    err=np.max(np.abs(U[1]-U[0]))/np.max(np.abs(U[0]))
    print " " + ith + " .... " + str(err)

                              


